Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] Using external libevent
From: Jeff Squyres (jsquyres) (jsquyres_at_[hidden])
Date: 2013-04-17 09:02:28


On Apr 16, 2013, at 9:22 PM, Orion Poplawski <orion_at_[hidden]> wrote:

> I'm starting to take a look at updating openmpi in Fedora to 1.7. It looks like openmpi is now bundling a copy of libevent, which is generally forbidden in Fedora.

FWIW, we've always bundled libevent -- ever since 1.0. It was made a little more obvious in 1.7 because we shifted some things around in the build system, but it's always been there.

> Is there any work being done on allowing one to compile against an external libevent library?

We have not done this because OMPI is fairly tied to the specific version of libevent that is bundled.

Given that OMPI has *always* bundled libevent, how terrible would it be to just let that continue?

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/